<?php

/*
 * @name        JMY CMS
 * @link        https://jmy.su/
 * @copyright   Copyright (C) 2012-2025 JMY LTD
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      Komarov Ivan
 * @edited      Orlov Alexsey
 */


const ACCESS = true;
define('TIMER', microtime(1));
define('ROOT', $_SERVER['DOCUMENT_ROOT'] . '/');
const PLUGINS = '/usr/plugins/';
const COOKIE_AUTH = 'auth_jmy';
const COOKIE_PAUSE = 'pause_jmy';
const AJAX = true;
const PAUSE_TIME = 120;
const VERSION_ID = '6.0';
const LICENSE = 'Powered by <a target="_blank" href="http://jmycms.ru/">JMY CMS</a>';
define('D_YEAR', gmdate("Y"));
const COOKIE_TIME = 2592000;
const ADMIN = 'administration';
const ADMIN_TPL = 'usr/tpl/admin/';
const MODE = 'default';
const HACK_SQL = '/SELECT|INSERT|ALTER|DROP|UNION|OUTFILE|WHERE/i';
const DENIED_HTML = '/<.*?(script|meta|body|object|iframe|frame|applet|style|form|img|onmouseover).*?>/i';
const DEBUG = false;
define('INDEX', !isset($_GET['url']));
@ini_set('allow_url_fopen', 1);
header('Content-type: text/html; charset=utf-8');
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");
require ROOT . 'etc/global.config.php';
require ROOT . 'etc/files.config.php';
global $config, $files_conf;
mb_internal_encoding($config['charset']);
